/* general */
body {
	font-size:10pt;
	font-family:serif;
	width: 100%;
	height: 100%;
	background-color: #f8f0dc;
	overflow: hidden;
}
a {
	color: #fff !important;
}
.lqs_nodes {
	cursor: crosshair;
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100000px;
	height: 100000px;
}
.lqs_svg, .lqs_bgsvg {
	width: 100000px;
	height: 100000px;
	position: absolute;
	top: 0;
	left: 0;
	pointer-events: none; 
}

.ident {
	position:fixed;
	pointer-events: none; 
	left:1%;
	top:1%;
	font-family: fantasy;
	font-style: italic;
	font-weight: bold;
	opacity: 0.1;
	font-size: 300%;
}
.normal-paste {
	-moz-user-select: text;
	-webkit-user-select: text;
	-ms-user-select: text;
	user-select: text;
}
/* end general */


/* seeds */
.lqs_seed {
	margin: 2px 5px 0px 5px;
	display: inline-block;
	vertical-align:top;
	padding: 3px 10px;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	font-family: sans-serif;
	border-radius: 4px;
	border: 1px dashed #888888;
	color: #888888;
	cursor: move;
}
.lqs_seed_inline { 
	/*border-color: #ccc;*/
	padding: 1px 5px;
	margin-left: 0px;
	margin-right: 0px;
	vertical-align: middle;
}
.lqs_seed_filled {
	color: white;
	border: 1px solid #fff;
	background-color: #b8b8b8;
}
.lqs_seed_filled:hover,
.lqs_seed.ui-draggable-dragging {
	margin-top: 0px;
	margin-bottom: 2px;
	background-color: #666666;
	box-shadow: 0px 0px 20px 2px rgba(0,0,0,0.2);
}
/* end seeds */

/* controls */
.controls_icon {
	position: fixed;
	top:0%;
	left:0%;
	opacity: 0.2;
	padding: 10px;
	color: #000;
	background-color: #999;
	border-bottom-left-radius: 5px;
	z-index: 1000;
}
.controls_icon img {
	width: 64px;
	height: 64px;
	display: block;
}
.controls_wrapper {
	z-index: 1000; 
	position: fixed;
}
.controls {
	font-family: sans-serif;
	z-index: 1000;
	width:20%;
	height:100%;
	overflow-y: auto;
	position: fixed;
	top:0%;
	left:0%;
	text-align: left;
	background-color: #cfcfcf;
	padding: 10px;
	display: none;
	border-bottom-left-radius: 5px;
	border-left: solid 1px #f8f0dc;
	border-bottom: solid 1px #f8f0dc;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.controls_wrapper:hover .controls_icon {
	display: none;
}
.controls_wrapper:hover .controls {
	display: block;
}
.controls_wrapper input {
	width: 100%;
}
.controls .lqs_controls_tools {
	text-align: left;
}
.controls .lqs_tool {
	background-color: #787878;
	color: white;
	cursor: pointer;
	padding: 3px;
	margin: 3px;
	display: inline-block;
	border-radius: 3px;
}
.controls .lqs_tool:hover {
	background-color: #666;
}
.lqs_controls_subtitle {
	font-weight: bold;
	margin: 1em 0 0.3em 0;
}
/* end controls */


/* nodes */
.lqs_node:hover .lqs_tool {
	color: white;
	cursor: pointer;
	font-size: 100%;
	padding: 3px;
	display: inline-block;
}
.ui-resizable-handle {
	opacity: 0;
}
.ui-icon-gripsmall-diagonal-se {
	background-color: red;
	width: 16px;
	height: 16px;
	right: 1px;
	bottom: 1px;
	position: absolute;
	display: block;
	background-image: none !important;
}
.lqs_node {
	position: absolute;
	cursor: default;
	top: 0px;
	left: 0px;
	background-color: #cfcfcf;
	border: solid 1px #f8f0dc;
	border-radius: 5px;
	margin: 0;
	padding: 0px;
	overflow: hidden;
	box-shadow: 2px 6px 20px 2px rgba(0,0,0,0.1);
}
.lqs_node_squish {
	position: absolute;
	cursor: move;
	box-shadow: 2px 6px 20px 2px rgba(0,0,0,0.2);	
	text-align: center;
	background-color: #6c6c6c;
	color: #fff;
	overflow: hidden;
	font-family: sans-serif;	
	padding: 2px 8px;
	border: solid 1px #f8f0dc;
	border-radius: 5px;
}
.lqs_node_icon {
	position: absolute;
	cursor: move;
	top: 0px;
	left: 0px;
	margin: 0;
	padding: 0px;
	border-radius: 5px;
	border: solid 1px #aaa;
 	box-shadow: 2px 6px 20px 2px rgba(0,0,0,0.2);	
}
.lqs_node_icon.drop-hover {
	background-color: #666;
}
.lqs_dot {
	position: absolute;
	cursor: move;
}
.lqs_cached {
	background-color: rgba(255,0,255,0.02);
	border: dashed 1px #999;
	padding: 5px;
}
.lqs_node_title {
	text-align: center;
	background-color: #6c6c6c;
	color: #fff;
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;
	height: 18px;
	font-size: 12px;
	overflow: hidden;
	font-family: sans-serif;	
	cursor: move;	
	padding-top: 2px;
}
.lqs_node_title_text {
	padding: 0px 3px;
}
.lqs_node_title_left {
	float: left;
}
.lqs_node_title_right {
	float: right;
}
.lqs_node_title_left .lqs_tool {
	margin-right: 0.2em;
}
.lqs_node_title_right .lqs_tool {
	margin-left: 0.2em;
}
.lqs_node_resize {
	position: absolute;
	right: 0;
	bottom: 0;
}
.lqs_node .lqs_tool {
	display: none;
}
.lqs_node .lqs_node_empty_title {
	display: none;
	position: absolute;
	width: 100%;
	opacity: 0.8;
}
.lqs_node:hover .lqs_node_empty_title {
	display: block;
}
.lqs_node_notitle .lqs_node_title {
	display: none !important;
}
.lqs_node:hover .lqs_tool {
	color: white;
	cursor: pointer;
	font-size: 100%;
	padding: 0px 3px;
	display: inline-block;
}
.lqs_node .lqs_tool:hover {
	color: #666;
}
.lqs_node_content {
	padding: 5px 10px 0px 10px;
	color: black;
	overflow: auto;
}
.lqs_node.drop-hover {
	background-color: #999;
}
.lqs_node.drop-hover .lqs_node_title{
	background-color: #666;
}
.lqs_node .lqs_hidden_seed {
	display: none;
	margin: 0 0.5em;
	font-size: 60%;
	border-width: 1px;
}
.lqs_node .lqs_hidden_seed::before {
	content: '☰';
}
.lqs_node:hover .lqs_hidden_seed {
	display: inline-block;
}
.lqs_node .lqs_graph_fold {
	display: none;
}
.lqs_node:hover .lqs_graph_fold {
	display: inline-block;
}
.lqs_graph_links {
	/*background-color: #6c6c6c;*/
}
/* end nodes */


/* SVG */
.lqs_link {
	stroke:#666;
	stroke-width:2;
	opacity: 0.2;
	/*pointer-events: auto;*/
}
.lqs_link_from_text {
	opacity: 0.6;
	text-anchor: middle;
	/*pointer-events: auto;*/
}
.lqs_dot circle {
	fill: #666;
	opacity: 0.6;
	pointer-events: auto; 
}
.lqs_dot_text {
	opacity: 0.6;
	text-anchor: middle;
	pointer-events: auto; 
}
.lqs_icon_text {
	opacity: 0.6;
	text-anchor: middle;
	pointer-events: auto; 
}
#axis line {
	stroke:#666;
	stroke-width:1;
	opacity: 0.2;
	stroke-dasharray: 4;
}
/* end SVG */

/*meta data table*/
.meta_object, .meta_array {
	border-spacing: 2px;
	border-collapse: separate;
}
.meta_object th, .meta_object td, .meta_array th, .meta_array td {
	background-color: rgb(255,255,255,0.3);
	font-size: 10px;
	padding: 2px;
}
/* end metadata table */

/* card menu */
.lqs_card_menu {
	cursor: default;
	position: absolute;
	background-color: #666;
	color: #fff;
	z-index: 500;
	border-radius: 10px;
	border: solid 1px #f8f0dc;
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.lqs_card_menu_item {
	cursor: pointer;
	font-family: sans-serif;
	font-size: 10pt;
	padding: 2px 15px;
	margin: 4px 4px;
	border-radius: 5px;
}
.lqs_card_menu_item:hover {
	background-color: #fff;
	color: #000;
}
.lqs_card_menu_item_disabled {
	color: #999;
	cursor: default;
}
.lqs_card_menu_item_disabled:hover {
	background-color: #000;
	color: #999;
}
/* end card menu */


/* custom nodes type: html & text */
.lqs_card_class_html, .lqs_card_class_text {
	background-color: rgba(0,0,0,0);
	border: solid 1px transparent;
	box-shadow: none;
}
.lqs_card_class_html .lqs_node_title, .lqs_card_class_text .lqs_node_title {
	background-color: transparent;
	color: #333 !important;
}
.lqs_card_class_html a, .lqs_card_class_text a {
	color: #00f !important;
}
.lqs_card_class_html:hover .lqs_node_title, .lqs_card_class_text:hover .lqs_node_title {
	background-color: #6c6c6c;
	color: #fff !important;
}
.lqs_card_class_html:hover, .lqs_card_class_text:hover {
	background-color: #cfcfcf;
	border: solid 1px #f8f0dc;
	box-shadow: 2px 6px 20px 2px rgba(0,0,0,0.1);
}
/* end custom nodes type: html & text */

/* focus view */
.lqs_focus {
	position: fixed;
	width: 98%;
	height: 98%;
	top: 1%;
	left: 1%;
	border: solid 1px #333;
	border-radius: 1px;
	background-color: #cfcfcf;
	z-index: 5000;
	box-shadow: 2px 6px 20px 2px rgba(0,0,0,0.1);
}
.lqs_focus_inner {
	overflow: auto;
	height: 100%;
}
.lqs_focus_close {
	position: fixed;
	top: 1%;
	right: 1%;
	padding: 5px 10px;
	background-color: #333;
	color: #ccc;
	font-size: 150%;
	opacity: 0.3;
	cursor: pointer;
}
.lqs_focus_close:hover {
	opacity: 1;
}
.lqs_focus_content {
	margin: 1em;
}
.lqs_focus_title {
	font-size: 200%;	
	font-weight: bold;
	margin: 10px;
}
.lqs_focus_content a {
	color: blue !important;
}
.lqs_focus .lqs_cached {
	border: none;
}
.lqs_focus_inner .lqs_graph_fold {
	display: none !important;
}
/* end focus view */


/* hacks to tidy mediawiki html for demo. This should be done in API not css */
.infobox,
.metadata,
.vertical-navbox
{
	display: none;
}
/* end wikipedia hacks */
